Photoshop: Problem Installing CS6 CSXS update

I've bought PS 13.0.20, looked for updates, there were, but I can't install them:
"Adobe CSXS infrastructure CS6
Update is not applicable. Error code U44M1P28

the's a broken link too:
http://www.adobe.com/special/errorpag...

Adobe Extension Manager CS6 Update
Update is not applicable. Error code U44M1P28
1 person has
this problem
+1
Reply